config_tracker_NvDCF_accuracy ReID onnxFile error

**• Hardware Platform (GPU) RTX 3060
**• DeepStream Version 6.2
• TensorRT Version
**• NVIDIA GPU Driver Version (valid for GPU only) CUDA12.0
• Issue Type (questions)

I used the config_tracker_NvDCF_accuracy.yml tracker and replaced the internal ReID with an ONNX file. However, I encountered the following error. Can you help me understand why?
I’m sure there is resnet50_market1501_aicity156.onnx file.

[tracker]
enable=1
tracker-width=640
tracker-height=384

ll-lib-file=/opt/nvidia/deepstream/deepstream/lib/libnvds_nvmultiobjecttracker.so
ll-config-file=/opt/nvidia/deepstream/deepstream/samples/configs/deepstream-app/config_tracker_NvDCF_accuracy.yml

gpu-id=0
enable-batch-process=1
enable-past-frame=1
display-tracking-id=1

config_tracker_NvDCF_accuracy.yml

ReID: # need customization
reidType: 2
batchSize: 100
workspaceSize: 1000
reidFeatureSize: 128
reidHistorySize: 148
inferDims: [128, 64, 3]
networkMode: 0
inputOrder: 1
colorFormat: 0
offsets: [0.0, 0.0, 0.0]
netScaleFactor: 1.0000
keepAspc: 1
onnxFile: “/opt/nvidia/deepstream/deepstream/samples/configs/deepstream-app/resnet50_market1501_aicity156.onnx”
modelEngineFile : “/opt/nvidia/deepstream/deepstream/samples/configs/deepstream-app/resnet50_market1501_aicity156_onnx_b100_gpu0_fp32.engine”

error message:

gstnvtracker: Loading low-level lib at /opt/nvidia/deepstream/deepstream/lib/libnvds_nvmultiobjecttracker.so
gstnvtracker: Batch processing is ON
gstnvtracker: Past frame output is ON
!! [WARNING][ReIDConfigParams] Unknown param found: onnxFile
~~ CLOG[src/modules/ReID/ReID.cpp, loadTRTEngine() @line 418]: Engine file does not exist
[NvMultiObjectTracker] Load engine failed. Create engine again.

!![ERROR] UFF file does not exist
[NvMultiObjectTracker] De-initialized
An exception occurred. UFF file does not exist
gstnvtracker: Failed to initialize tracker context!
gstnvtracker:: Failed to create batch context. Shutting down processing.
** ERROR: <app_main:1282>: Failed to set pipeline to PAUSED

There is no update from you for a period, assuming this is not an issue anymore. Hence we are closing this topic. If need further support, please open a new one. Thanks

DeepStream support customize Re-ID ONNX model from version 6.3. Please upgrade to DeepStream 6.3.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.